## st-icon st-icon — a simple styled icon actor |

## Functions

ClutterActor * | st_icon_new ()
const gchar * | st_icon_get_icon_name ()
void | st_icon_set_icon_name ()
gint | st_icon_get_icon_size ()
void | st_icon_set_icon_size ()
void | st_icon_set_gicon ()
GIcon * | st_icon_get_gicon ()
void | st_icon_set_fallback_icon_name ()
const gchar * | st_icon_get_fallback_icon_name ()

## Properties

gchar * | fallback-icon-name | Read / Write
GIcon * | gicon | Read / Write
gchar * | icon-name | Read / Write
gint | icon-size | Read / Write

## Types and Values

#define | ST_TYPE_ICON
struct | StIcon
| StIconPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── StWidget
                    ╰── StIcon

## Implemented Interfaces

StIcon implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

StIcon is a simple styled texture actor that displays an image from a stylesheet.

## Functions

### st_icon_new ()

    ClutterActor *
    st_icon_new (void);

Create a newly allocated StIcon

#### Returns

A newly allocated StIcon

### st_icon_get_icon_name ()

    const gchar *
    st_icon_get_icon_name (StIcon *icon);

### st_icon_set_icon_name ()

    void
    st_icon_set_icon_name (StIcon *icon,
                           const gchar *icon_name);

### st_icon_get_icon_size ()

    gint
    st_icon_get_icon_size (StIcon *icon);

Gets the size explicit size on the icon. This is not necesariily the size that the icon will actually be displayed at.

#### Parameters

icon | an icon |

#### Returns

the size explicitly set, or -1 if no size has been set

### st_icon_set_icon_size ()

    void
    st_icon_set_icon_size (StIcon *icon,
                           gint size);

Sets an explicit size for the icon.

#### Parameters

icon | an icon |
size | if positive, the new size, otherwise the size will be derived from the current style |

### st_icon_set_gicon ()

    void
    st_icon_set_gicon (StIcon *icon,
                       GIcon *gicon);

#### Parameters

icon | an icon |
gicon | a GIcon to override :icon-name. | [nullable]

### st_icon_get_gicon ()

    GIcon *
    st_icon_get_gicon (StIcon *icon);

#### Parameters

icon | an icon |

#### Returns

the override GIcon, if set, or NULL.

[transfer none]

### st_icon_set_fallback_icon_name ()

    void
    st_icon_set_fallback_icon_name (StIcon *icon,
                                    const gchar *icon_name);

### st_icon_get_fallback_icon_name ()

    const gchar *
    st_icon_get_fallback_icon_name (StIcon *icon);

## Types and Values

### ST_TYPE_ICON

    #define ST_TYPE_ICON st_icon_get_type()

### struct StIcon

    struct StIcon;

The contents of this structure are private and should only be accessed through the public API.

### StIconPrivate

    typedef struct _StIconPrivate StIconPrivate;

## Property Details

### The `“fallback-icon-name”` property

      “fallback-icon-name”       gchar *

A fallback icon name.

Flags: Read / Write

Default value: NULL

### The `“gicon”` property

      “gicon”                    GIcon *

The GIcon shown by this icon actor.

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                gchar *

An icon name.

Flags: Read / Write

Default value: NULL

### The `“icon-size”` property

      “icon-size”                gint

The size if the icon, if positive. Otherwise the size will be derived from the current style.

Flags: Read / Write

Allowed values: >= -1

Default value: -1